package user

import (
	"Crimson-Gatekeeper/internal/model"
	"sync"
	"time"
)

type login_info struct {
	info         model.User
	token        string
	invalidation time.Time
}

type login_manage struct {
	data *sync.Map
}

func (l *login_manage) Login(li *login_info) {
	l.data.Store(li.token, li)
}

func newLoginManage() *login_manage {
	return &login_manage{data: &sync.Map{}}
}
